Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcImageLoadFilterPCX Class Reference

PCX loading image filter. More...

Inheritance diagram for XFcImageLoadFilterPCX:

[legend]
Collaboration diagram for XFcImageLoadFilterPCX:

[legend]
List of all members.

## Public Member Functions
virtual XFCIMPORT | ~XFcImageLoadFilterPCX ()
| Virtual destructor; core makes sure the object is deleted.
XFCIMPORT | XFcImageLoadFilterPCX ()
| Constructor.
## Protected Member Functions
virtual INT | validateImage (const CHAR *aFilename, XFcFile *aFile)
| Determines if this plugin can load a specified file.
virtual void | getImageInfo (const CHAR *aFilename, XFcFile *aFile, INT32 *aWidth, INT32 *aHeight, INT *aAlphaLayer, INT *aPaletted)
| Inherited from XFcImageLoader.
virtual void | getImagePaletted (const CHAR *aFilename, XFcFile *aFile, UINT8 **aPalettePtr, UINT8 **aBitmapPtr)
| Inherited from XFcImageLoader.

## Detailed Description

PCX loading image filter.

This filter can only load 8-bit paletted PCX files.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcImageLoadFilterPCX::~XFcImageLoadFilterPCX | ( |  | ) | `[virtual]`

| Virtual destructor; core makes sure the object is deleted.

XFCIMPORT XFcImageLoadFilterPCX::XFcImageLoadFilterPCX | ( |  | ) |

| Constructor.

## Member Function Documentation

virtual void XFcImageLoadFilterPCX::getImageInfo | ( | const CHAR * | aFilename,
|  | XFcFile * | aFile,
|  | INT32 * | aWidth,
|  | INT32 * | aHeight,
|  | INT * | aAlphaLayer,
|  | INT * | aPaletted
| ) | `[protected, virtual]`

| Inherited from XFcImageLoader. See also: XFcImageLoader::getImageInfo Implements XFcImageLoader.

virtual void XFcImageLoadFilterPCX::getImagePaletted | ( | const CHAR * | aFilename,
|  | XFcFile * | aFile,
|  | UINT8 ** | aPalettePtr,
|  | UINT8 ** | aBitmapPtr
| ) | `[protected, virtual]`

| Inherited from XFcImageLoader. See also: XFcImageLoader::getImagePaletted Reimplemented from XFcImageLoader.

virtual INT XFcImageLoadFilterPCX::validateImage | ( | const CHAR * | aFilename,
|  | XFcFile * | aFile
| ) | `[protected, virtual]`

  | Determines if this plugin can load a specified file. Parameters:
  aFilename | filename of the file for validation.
  aFile | file to validate.
Returns: 1 if this plugin can load this file, or 0 if cannot. Implements XFcImageLoader.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch